org.apache.olingo.commons.api.edm.provider

## Interface CsdlEdmProvider

- All Known Implementing Classes:
    CsdlAbstractEdmProvider

      public interface CsdlEdmProvider

  The interface Csdl edm provider.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CsdlActionImport` | `getActionImport(FullQualifiedName entityContainer, String actionImportName)` This method should return an `CsdlActionImport` or null if nothing is found
    `List<CsdlAction>` | `getActions(FullQualifiedName actionName)` This method should return a list of all `CsdlAction` for the FullQualifiedname or null if nothing is found
    `List<CsdlAliasInfo>` | `getAliasInfos()` This method should return a list of all namespaces which have an alias
    `CsdlAnnotations` | `getAnnotationsGroup(FullQualifiedName targetName, String qualifier)` Gets annotations group.
    `CsdlComplexType` | `getComplexType(FullQualifiedName complexTypeName)` This method should return a `CsdlComplexType` or null if nothing is found.
    `CsdlEntityContainer` | `getEntityContainer()` Returns the entity container of this edm
    `CsdlEntityContainerInfo` | `getEntityContainerInfo(FullQualifiedName entityContainerName)` This method should return an `CsdlEntityContainerInfo` or null if nothing is found
    `CsdlEntitySet` | `getEntitySet(FullQualifiedName entityContainer, String entitySetName)` This method should return an `CsdlEntitySet` or null if nothing is found
    `CsdlEntityType` | `getEntityType(FullQualifiedName entityTypeName)` This method should return an `CsdlEntityType` or null if nothing is found
    `CsdlEnumType` | `getEnumType(FullQualifiedName enumTypeName)` This method should return an `CsdlEnumType` or null if nothing is found
    `CsdlFunctionImport` | `getFunctionImport(FullQualifiedName entityContainer, String functionImportName)` This method should return a `CsdlFunctionImport` or null if nothing is found
    `List<CsdlFunction>` | `getFunctions(FullQualifiedName functionName)` This method should return a list of all `CsdlFunction` for the FullQualifiedname or null if nothing is found
    `List<CsdlSchema>` | `getSchemas()` This method should return a collection of all `CsdlSchema`
    `CsdlSingleton` | `getSingleton(FullQualifiedName entityContainer, String singletonName)` This method should return an `CsdlSingleton` or null if nothing is found
    `CsdlTerm` | `getTerm(FullQualifiedName termName)` This method should return a `CsdlTerm` for the FullQualifiedName or null if nothing is found.
    `CsdlTypeDefinition` | `getTypeDefinition(FullQualifiedName typeDefinitionName)` This method should return an `CsdlTypeDefinition` or null if nothing is found

- - ### Method Detail

    - #### getEnumType

          CsdlEnumType getEnumType(FullQualifiedName enumTypeName)
                            throws ODataException

      This method should return an `CsdlEnumType` or null if nothing is found
      Parameters:
        `enumTypeName` - full qualified name of enum type
      Returns:
        for given name
      Throws:
        `ODataException`

    - #### getTypeDefinition

          CsdlTypeDefinition getTypeDefinition(FullQualifiedName typeDefinitionName)
                                        throws ODataException

      This method should return an `CsdlTypeDefinition` or null if nothing is found
      Parameters:
        `typeDefinitionName` - full qualified name of type definition
      Returns:
        for given name
      Throws:
        `ODataException`

    - #### getEntityType

          CsdlEntityType getEntityType(FullQualifiedName entityTypeName)
                                throws ODataException

      This method should return an `CsdlEntityType` or null if nothing is found
      Parameters:
        `entityTypeName` - full qualified name of entity type
      Returns:
        for the given name
      Throws:
        `ODataException`

    - #### getComplexType

          CsdlComplexType getComplexType(FullQualifiedName complexTypeName)
                                  throws ODataException

      This method should return a `CsdlComplexType` or null if nothing is found.
      Parameters:
        `complexTypeName` - full qualified name of complex type
      Returns:
        for the given name
      Throws:
        `ODataException`

    - #### getActions

          List<CsdlAction> getActions(FullQualifiedName actionName)
                               throws ODataException

      This method should return a list of all `CsdlAction` for the FullQualifiedname or null if nothing is found
      Parameters:
        `actionName` - full qualified name of action
      Returns:
        List of or null
      Throws:
        `ODataException`

    - #### getFunctions

          List<CsdlFunction> getFunctions(FullQualifiedName functionName)
                                   throws ODataException

      This method should return a list of all `CsdlFunction` for the FullQualifiedname or null if nothing is found
      Parameters:
        `functionName` - full qualified name of function
      Returns:
        List of or null
      Throws:
        `ODataException`

    - #### getTerm

          CsdlTerm getTerm(FullQualifiedName termName)
                    throws ODataException

      This method should return a `CsdlTerm` for the FullQualifiedName or null if nothing is found.
      Parameters:
        `termName` - the name of the Term
      Returns:
        or null
      Throws:
        `ODataException`

    - #### getEntitySet

          CsdlEntitySet getEntitySet(FullQualifiedName entityContainer,
                                     String entitySetName)
                              throws ODataException

      This method should return an `CsdlEntitySet` or null if nothing is found
      Parameters:
        `entityContainer` - this EntitySet is contained in
        `entitySetName` - name of entity set
      Returns:
        for the given container and entityset name
      Throws:
        `ODataException`

    - #### getSingleton

          CsdlSingleton getSingleton(FullQualifiedName entityContainer,
                                     String singletonName)
                              throws ODataException

      This method should return an `CsdlSingleton` or null if nothing is found
      Parameters:
        `entityContainer` - this Singleton is contained in
        `singletonName` - name of singleton
      Returns:
        for given container and singleton name
      Throws:
        `ODataException`

    - #### getActionImport

          CsdlActionImport getActionImport(FullQualifiedName entityContainer,
                                           String actionImportName)
                                    throws ODataException

      This method should return an `CsdlActionImport` or null if nothing is found
      Parameters:
        `entityContainer` - this ActionImport is contained in
        `actionImportName` - name of action import
      Returns:
        for the given container and ActionImport name
      Throws:
        `ODataException`

    - #### getFunctionImport

          CsdlFunctionImport getFunctionImport(FullQualifiedName entityContainer,
                                               String functionImportName)
                                        throws ODataException

      This method should return a `CsdlFunctionImport` or null if nothing is found
      Parameters:
        `entityContainer` - this FunctionImport is contained in
        `functionImportName` - name of function import
      Returns:
        for the given container name and function import name
      Throws:
        `ODataException`

    - #### getEntityContainerInfo

          CsdlEntityContainerInfo getEntityContainerInfo(FullQualifiedName entityContainerName)
                                                  throws ODataException

      This method should return an `CsdlEntityContainerInfo` or null if nothing is found
      Parameters:
        `entityContainerName` - (null for default container)
      Returns:
        for the given name
      Throws:
        `ODataException`

    - #### getAliasInfos

          List<CsdlAliasInfo> getAliasInfos()
                                     throws ODataException

      This method should return a list of all namespaces which have an alias
      Returns:
        List of alias info
      Throws:
        `ODataException`

    - #### getSchemas

          List<CsdlSchema> getSchemas()
                               throws ODataException

      This method should return a collection of all `CsdlSchema`
      Returns:
        List of
      Throws:
        `ODataException`

    - #### getEntityContainer

          CsdlEntityContainer getEntityContainer()
                                          throws ODataException

      Returns the entity container of this edm
      Returns:
        of this edm
      Throws:
        `ODataException`

    - #### getAnnotationsGroup

          CsdlAnnotations getAnnotationsGroup(FullQualifiedName targetName,
                                              String qualifier)
                                       throws ODataException

      Gets annotations group.
      Parameters:
        `targetName` - full qualified name of target
        `qualifier` - for the given target. Might be null.
      Returns:
        group for the given Target
      Throws:
        `ODataException`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.